Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226069 - Merge Review: libXevie
Summary: Merge Review: libXevie
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:30 UTC by Nobody's working on this, feel free to take it
Modified: 2009-10-21 06:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-21 06:25:55 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:30:13 UTC
Fedora Merge Review: libXevie

http://cvs.fedora.redhat.com/viewcvs/devel/libXevie/
Initial Owner: sandmann@redhat.com

Comment 1 Parag AN(पराग) 2009-10-08 11:20:06 UTC
Review:

+ koji build =>http://koji.fedoraproject.org/koji/buildinfo?buildID=135672
+ verified upstream source as 
d22fd24d8f096fdff54d303d63fea1422f0cfeea  libXevie-1.0.2.tar.bz2
+ rpmlint is silent.
+  PAckage libXevie-1.0.2-8.fc13.i686 =>
Provides: libXevie.so.1
Requires: libX11.so.6 libXevie.so.1 libXext.so.6 libc.so.6 libc.so.6(GLIBC_2.1.3) rtld(GNU_HASH)
+ Package libXevie-devel-1.0.2-8.fc13.i686=>
Provides: pkgconfig(xevie) = 1.0.2
Requires: /usr/bin/pkg-config libXevie.so.1 pkgconfig(x11) pkgconfig(xext) pkgconfig(xproto)

APPROVED.

Comment 2 Christoph Wickert 2009-10-12 17:41:41 UTC
Ok, now I understood that you are using sha1sums for verifying the source indead of md5sum. If you do things different from the review guidelines, this should be documented in the review.

One thing that I noticed: -devel package is missing Requires: for libX11-devel, libXext-devel and xorg-x11-proto-devel.

Comment 3 Parag AN(पराग) 2009-10-13 03:17:04 UTC
Thanks for your comment. I will make changes and build new release.

Comment 4 Parag AN(पराग) 2009-10-13 03:19:29 UTC
(In reply to comment #2)
> Ok, now I understood that you are using sha1sums for verifying the source
> indead of md5sum. If you do things different from the review guidelines, this
> should be documented in the review.
> 
> One thing that I noticed: -devel package is missing Requires: for libX11-devel,
> libXext-devel and xorg-x11-proto-devel.  

Ah! you mean Requires.private need to be included as Requires: in -devel? If yes then same will be applied to libXcursor right?

Comment 5 Christoph Wickert 2009-10-13 08:46:20 UTC
(In reply to comment #4)

> Ah! you mean Requires.private need to be included as Requires: in -devel? 

IMHO yes, without it, it's not possible to use the devel package properly.

> If yes then same will be applied to libXcursor right?

Indeed, I missed that.

Comment 6 Parag AN(पराग) 2009-10-21 06:25:55 UTC
Christoph Wickert,
as per discussed here
https://www.redhat.com/archives/fedora-devel-list/2009-October/msg00530.html

I am approving this package  and closing this review. If any problem still seen please comment here.


Note You need to log in before you can comment on or make changes to this bug.